from flask import Flask, render_template

class Trans:
    mapping = {
      'de':{
        'TITEL': '-Validierungsservice',
        'UPLOAD': 'DCC-XML-Datei hochladen',
        'FILE': 'Datei',
        'XSD_VERSION': 'XSD-Version',
        'INTERNAL': 'XML-intern',
        'LATEST': 'neueste'
      },
      'en':{
        'TITEL': ' Validation Service',
        'UPLOAD': 'Upload the DCC XML file',
        'FILE': 'File',
        'XSD_VERSION': 'XSD version',
        'INTERNAL': 'internal XML',
        'LATEST': 'latest'
      }
    }
    def show_html(self, version, language, xsd_versions):
        print('xsd_versions:' + xsd_versions)
        d = self.mapping[language]
        template = 'html/validation.html'
        return render_template(template, VERSION=version, 
          XSD_VERSIONS=xsd_versions, **d)
